# **********************************************************************
#
# Copyright (c) 1998
# Object-Oriented Concepts, Inc.
# Billerica, MA, USA
#
# Copyright (c) 1998
# Object-Oriented Concepts GmbH
# Ettlingen, Germany
#
# All Rights Reserved
#
# **********************************************************************

# ----------------------------------------------------------------------
# Use the following lines to set your installation directories
# ----------------------------------------------------------------------

prefix		= C:\OOC
bindir		= $(prefix)\bin
libdir		= $(prefix)\lib

# ----------------------------------------------------------------------
# Set the paths of various libraries
# ----------------------------------------------------------------------

# The ORBacus class files
OB_LIB=$(top_srcdir)\..\ob\lib
#OB_LIB=$(libdir)\OB.jar

# The ORBacus Naming Service class files
OB_NAMING_LIB=$(top_srcdir)\..\naming\lib
#OB_NAMING_LIB=$(libdir)\OBNaming.jar

# The ORBacus Property Service class files
OB_PROPERTY_LIB=$(top_srcdir)\..\property\lib
#OB_PROPERTY_LIB=$(libdir)\OBProperty.jar

# The ORBacus Event Service class files
OB_EVENT_LIB=$(top_srcdir)\..\event\lib
#OB_EVENT_LIB=$(libdir)\OBEvent.jar

# The ORBacus class files for tests
OB_TEST_LIB=$(top_srcdir)\..\ob\lib
#OB_TEST_LIB=$(libdir)\OBTest.jar


# ----------------------------------------------------------------------
# Please change the following settings to reflect your Java
# development environment
# ----------------------------------------------------------------------

# SUN's JDK 1.1 or higher
JAVA		= java
JAVAC		= javac
JAVACFLAGS	= # -deprecation
JAR		= jar
JARFLAGS	= c0f

# IBM's jikes Java compiler
#JAVAC		= jikes
#JAVACFLAGS	= -nowarn

# Microsoft's Visual J++
#JAVA		= jview
#JAVAC		= jvc
#JAVACFLAGS	=
#JAR		= jar
#JARFLAGS	= c0f

# ----------------------------------------------------------------------
# Please change the following settings to reflect the IDL-to-Java
# translator.  In particular, make sure the JIDL program is in your
# PATH, or provide the full pathname below.
# ----------------------------------------------------------------------

# ORBacus
JIDL		= jidl
JIDLFLAGS	=
JIDLPKGARG	= --package
JIDLDIRARG	= --output-dir
JIDLNOSKELARG	= --no-skeletons
JIDLPKGFIX	=
ORBVENDOR	= ORBacus
 


# ----------------------------------------------------------------------
# Don't change anything below this line
# ----------------------------------------------------------------------

INSTALL		= copy
INSTALL_PROGRAM = $(INSTALL)
INSTALL_DATA	= $(INSTALL)

SHELL		= bash # Only needed for "nmake /f Makefile.mak test"

.SUFFIXES:
.SUFFIXES:	.java .class

.java.class:
	$(JAVAC) $(JAVACFLAGS) $<

all::

clean::
	del /q *.bak *.flc

install::

test::

classes:
	mkdir classes

generated:
	mkdir generated

$(top_srcdir)\lib:
	mkdir $(top_srcdir)\lib

clean::
	-rmdir /s /q classes
	-rmdir /s /q generated
